import * as CircuitBreaker from 'opossum';
/**
 * 熔断，降级规则管理器
 * @author wufenglin
 */
declare class DegradeRuleManager {
    private ruleMap;
    loadRule(pid: any, breakerOptions: any): void;
    /**
     * 获取熔断器
     *
     * @param pid 项目ID
     */
    getCircuitBreaker(pid: any): CircuitBreaker;
    /**
     * 生成熔断配置
     * @param pid 项目ID
     * @param breakerOptions
     */
    private addRule;
    /**
     * 覆盖原有的熔断配置
     *
     * @param pid 项目ID
     * @param breakerOptions
     */
    private setRule;
}
declare const _default: DegradeRuleManager;
export default _default;
